Taifa Identity. Docs
OpenAPI Developers

API reference

Workflows

Management API contract View .md

28 management API operations for workflows.

GET/v1/registration-contextDeployment Context POST/v1/institutions/{institution_id}/administratorsPropose Admin POST/v1/institutions/{institution_id}/administrators/{proposal_id}/approveApprove Admin POST/v1/institutions/{institution_id}/domainsPropose Domain POST/v1/institutions/{institution_id}/domains/{domain_id}/verifyVerify Domain POST/v1/institutions/{institution_id}/sponsorsSponsor Change POST/v1/institutions/{institution_id}/invitationsInvite POST/v1/invitations/{invitation_id}/redeemRedeem POST/v1/institutions/{institution_id}/account-proofsProof POST/v1/link-requestsRequest Link POST/v1/link-requests/{request_id}/approveApprove Link POST/v1/institutions/{institution_id}/recovery-requestsRecovery POST/v1/recovery-requests/{request_id}/approveApprove Recovery POST/v1/projects/{project_id}/ownersOwner POST/v1/projects/{project_id}/environmentsEnvironment GET/v1/projects/{project_id}/environmentsEnvironments POST/v1/projects/{project_id}/environments/{environment_id}/review-existingReview Existing Environment POST/v1/projects/{project_id}/environments/{environment_id}/approveApprove Environment POST/v1/projects/{project_id}/environments/{environment_id}/credential/revealReveal Credential GET/v1/projects/{project_id}/environments/{environment_id}/credentialCredential Status POST/v1/projects/{project_id}/environments/{environment_id}/credential/rotateRotate Credential POST/v1/institutions/{institution_id}/invitations/{invitation_id}/cancelCancel Invitation POST/v1/institutions/{institution_id}/workflow-decisions/{kind}/{record_id}/rejectReject GET/v1/institutions/{institution_id}/workflowsInstitution Workflows GET/v1/institutions/{institution_id}/workflow-evidence/{kind}/{record_id}Workflow Evidence GET/v1/projects/{project_id}/registration-contextRegistration Context GET/v1/projects/{project_id}/native-profilesNative Profiles GET/v1/me/workflowsPersonal Workflows

GET/v1/registration-context

Deployment Context

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

POST/v1/institutions/{institution_id}/administrators

Propose Admin

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredAdministratorCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500
person_idstringYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/administrators/{proposal_id}/approve

Approve Admin

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
proposal_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/domains

Propose Domain

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredDomainCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500
domainstringYesValidation: min length 3; max length 253

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/domains/{domain_id}/verify

Verify Domain

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
domain_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredEvidence

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/sponsors

Sponsor Change

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredSponsorChange

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500
person_idstringYes
activebooleanNo

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/invitations

Invite

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredInvitationCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
recipientstringYesValidation: min length 3; max length 254
expires_in_hoursintegerNoValidation: minimum 1; maximum 168

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/invitations/{invitation_id}/redeem

Redeem

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
invitation_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredInvitationRedeem

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
secretstringYesValidation: min length 32; max length 256

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/account-proofs

Proof

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredProofCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500
project_idstringYes
person_idstringYes
local_account_idstringYesValidation: min length 1; max length 200
expires_in_minutesintegerNoValidation: minimum 1; maximum 60

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/link-requests

Request Link

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredLinkCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
proof_idstringYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/link-requests/{request_id}/approve

Approve Link

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/recovery-requests

Recovery

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredRecoveryCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
evidence_referencestringYesValidation: min length 5; max length 500
person_idstringYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/recovery-requests/{request_id}/approve

Approve Recovery

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/owners

Owner

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredOwnerChange

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
person_idstringYes
activebooleanNo

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/environments

Environment

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredEnvironmentCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
namestringYesValidation: pattern ^(development|staging|production)$
client_typepublic | confidential-web | native-mail-ios | native-mail-android | native-mail-desktopNo
redirect_urisstring[]YesValidation: min items 1; max items 20
scopesstring[]NoValidation: min items 1; max items 10

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/environments

Environments

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/environments/{environment_id}/review-existing

Review Existing Environment

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/environments/{environment_id}/approve

Approve Environment

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/environments/{environment_id}/credential/reveal

Reveal Credential

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/environments/{environment_id}/credential

Credential Status

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/environments/{environment_id}/credential/rotate

Rotate Credential

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
environment_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/invitations/{invitation_id}/cancel

Cancel Invitation

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
invitation_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/workflow-decisions/{kind}/{record_id}/reject

Reject

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
kindpathadministrator | domain | link | recovery | federationYes
record_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/workflows

Institution Workflows

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/workflow-evidence/{kind}/{record_id}

Workflow Evidence

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
kindpathadministrator | domain | federation | recoveryYes
record_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/registration-context

Registration Context

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/native-profiles

Native Profiles

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/me/workflows

Personal Workflows

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Popular

Browse by section